Bug 52962 - [Meta] Implement Web Components
Summary: [Meta] Implement Web Components
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 63606 48698 52963 57813 58073 58342 59012 59058 59059 59237 59284 59304 59803 59804 59806 59807 59823 66669 78733 99688 103547
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-22 10:35 PST by Dimitri Glazkov (Google)
Modified: 2015-10-16 00:54 PDT (History)
16 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitri Glazkov (Google) 2011-01-22 10:35:28 PST
Since the XBL seems to be a good moniker, leaving it in the title for now, but Hixie says it'll be just part of HTML spec.

The draft (work in progress) is here: http://dev.w3.org/2006/xbl2/

The use cases are here: http://wiki.whatwg.org/wiki/Component_Model_Use_Cases
Comment 1 Dimitri Glazkov (Google) 2012-01-06 13:00:37 PST
Retitling to better reflect present day. Here's a good intro for Web Components: http://dvcs.w3.org/hg/webcomponents/raw-file/tip/explainer/index.html
Comment 2 Ryosuke Niwa 2015-10-16 00:54:17 PDT
We're tracking the new implementation effort differently.